%define __libtoolize :
%global momorel 3

Summary: flac - Free Lossless Audio Codec
Name:    flac
Version: 1.1.1
Release: %{momorel}m
Group:   Applications/Multimedia
License: GPL and LGPL and GFDL
URL:     http://flac.sourceforge.net/
%NoSource 0 http://telia.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz c6ccddccf8ad344065698047c2fc7280
Patch0:   flac-xmms-euc-jp-ms.patch
Patch1:   flac-ppc-lpc.patch
# merge from fc3
Patch2:   flac-1.1.1-m4.patch
Patch3:   flac-1.1.1-libtool.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libogg
BuildRequires: nasm

%description
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless. The FLAC project consists of:

    * the stream format
    * reference encoders and decoders in library form
    * flac, a command-line program to encode and decode FLAC files
    * metaflac, a command-line metadata editor for FLAC files
    * input plugins for various music players

 "Free" means that the specification of the stream format is fully open to the
 public to be used for any purpose (the FLAC project reserves the right to set
 the FLAC specification and certify compliance), and that neither the FLAC form
 at nor any of the implemented encoding/decoding methods are covered by any 
 known patent. It also means that all the source code is available under
 open-source licenses.

%package devel
Summary: flac Development
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The flac-devel package contains the header files and documentation
needed to develop applications with flac.

%package -n xmms-flac
Summary: flac input plugin for xmms
Group: Applications/Multimedia
Requires: xmms, %{name}, id3lib
BuildRequires: xmms-devel, id3lib-devel >= 3.8.3-3m

%description -n xmms-flac
flac plugin.

%prep
%setup -q
%patch0 -p1 -b .euc-jp-ms
%ifarch ppc
%patch1 -p1 -b .ppc-lpc
%endif
# from fc3
%patch2 -p1
%patch3 -p1

%build
%ifarch ppc
%configure --disable-asm-optimizations
%else
%configure
%endif
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

(export docdir=`pwd`/DOCS; cd doc; make install docdir=$docdir)
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.* README doc/html
%{_bindir}/flac
%{_bindir}/metaflac
%{_libdir}/lib*.so.*
%{_mandir}/man1/flac.1*
%{_mandir}/man1/metaflac.1*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/FLAC
%{_includedir}/FLAC/*.h
%dir %{_includedir}/FLAC++
%{_includedir}/FLAC++/*.h
%dir %{_includedir}/OggFLAC
%{_includedir}/OggFLAC/*.h
%dir %{_includedir}/OggFLAC++
%{_includedir}/OggFLAC++/*.h
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_datadir}/aclocal/*

%files -n xmms-flac
%defattr(-,root,root)
/usr/X11R6/%{_lib}/xmms/Input/libxmms-flac.so
/usr/X11R6/%{_lib}/xmms/Input/libxmms-flac.la

%ChangeLog
* Tue Feb  1 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.1.1-3m)
- enable x86_64.
  add flac-1.1.1-m4.patch (from fc3)
  add flac-1.1.1-libtool.patch (from fc3)

* Thu Jan 06 2005 mutecat <mutecat@momonga-linux.org>
- (1.1.1-2m)
- arrange ppc
- add Patch1 from cvs lpc.h diff
- and configure --disable-asm-optimizations

* Fri Nov 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1
- use %%NoSource macro
- revise %%files section
- add %%post and %%postun sections
- import flac-xmms-euc-jp-ms.patch from VineSeedPlus
 +* Mon May 03 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl3
 +- xmms-flac
 +  - enable to convert charset from/to EUC-JP-MS (Patch0)

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1.0-5m)
- rebuild against id3lib-3.8.3-3m (libstdc++-3.4.1)

* Wed May 26 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.0-4m)
- rebuild against id3lib 3.8.3.

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.0-3m)
- revised spec for enabling rpm 4.2.

* Sat Oct 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.0-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Feb 23 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.0-1m)
  Imported.
